using System;
using System.Data.SqlClient;
using SvetoforVKBot.Models.Updates;
using VkNet;
using VkNet.Enums.SafetyEnums;
using VkNet.Model.Keyboard;
using VkNet.Model.RequestParams;

namespace SvetoforVKBot.Models.Commands.LK.Consultation
{
    public class SelectLiveConsultationCommand : Command
    {
        public override string Name => "{\"button\":\"selectLiveConsultation\"}";

        public override void Execute(RootObject update, VkApi client, SvetoforVKBot.Data.SvetoforVKBotEntities db)
        {
        }

        public override void ExecutePL(RootObject update, VkApi client, SvetoforVKBot.Data.SvetoforVKBotEntities db)
        {
            var chatId = update.@object.message.from_id;
            MessagesSendParams @params = new MessagesSendParams();
            var keyboardBuilder = new KeyboardBuilder().Clear();

            try
            {
                @params.Message = "-----Информация о приёме на консультации.-----\n\n" +
                    "Вы можете оформить заявку на запись. Для этого нажмите кнопку \"Оставить заявку\".\n" +
                    "Ваши данные будут отправлены менеджеру, с Вами свяжутся для уточнения даты и времени консультации.";

                keyboardBuilder
                    .AddButton("Оставить заявку", "selectSubmitConsultation", KeyboardButtonColor.Positive) //К
                    .AddLine()
                    .AddButton("Личный кабинет", "startPL", KeyboardButtonColor.Default);

                @params.Keyboard = keyboardBuilder.Build();
                @params.UserId = chatId;
                @params.RandomId = GetRandomId();
                client.Messages.SendAsync(@params);

            }
            catch (Exception ee)
            {
                @params.Message = "Ошибка в selectLiveConsultation: " + ee.Message;
                @params.Attachments = null;
                @params.Keyboard = null;
                @params.UserId = 59111081;
                @params.RandomId = GetRandomId();
                client.Messages.SendAsync(@params);
            }
        }
    }
}